Package be.fgov.ehealth.dics.protocol.v4

# Class FindVmpRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.dics.protocol.v4.FindVmpRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class FindVmpRequest extends RequestType implements Serializable

Java class for FindVmpRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindVmpRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="FindByGenericPrescriptionGroup" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByGenericPrescriptionGroupType" minOccurs="0"/>
             <element name="FindByTherapeuticMoiety" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByTherapeuticMoietyType" minOccurs="0"/>
             <element name="FindByProduct" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByVirtualProductType" minOccurs="0"/>
             <element name="FindByIngredient" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByIngredientType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="HasComponentWith" type="{urn:be:fgov:ehealth:dics:protocol:v4}HasVirtualComponentWithType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="HasWadaClassification" type="{urn:be:fgov:ehealth:dics:protocol:v4}HasWadaClassificationType" minOccurs="0"/>
           </sequence>
           <attribute ref="{http://www.w3.org/XML/1998/namespace}lang use="required""/>
           <attribute name="SearchDate" type="{http://www.w3.org/2001/XMLSchema}date" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindVmpRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindByGenericPrescriptionGroupType`
  `getFindByGenericPrescriptionGroup()`
  Returns all VMPs in the given Generic Prescription Group
  `List<FindByIngredientType>`
  `getFindByIngredients()`
  Returns all VMPs containing the given ingredient.
  `FindByVirtualProductType`
  `getFindByProduct()`
  Returns all VMPs matching the given code or name.
  `FindByTherapeuticMoietyType`
  `getFindByTherapeuticMoiety()`
  Returns all VMPs containing the given Therapeutic Moiety
  `List<HasVirtualComponentWithType>`
  `getHasComponentWiths()`
  Must be combined with at least one FindBy element.
  `HasWadaClassificationType`
  `getHasWadaClassification()`
  Must be combined with at least one FindBy element.
  `String`
  `getLang()`
  Attempting to install the relevant ISO 2- and 3-letter codes as the enumerated possible values is probably never going to be a realistic possibility.
  `Instant`
  `getSearchDate()`
  Gets the value of the searchDate property.
  `void`
  `setFindByGenericPrescriptionGroup(FindByGenericPrescriptionGroupType value)`
  Sets the value of the findByGenericPrescriptionGroup property.
  `void`
  `setFindByProduct(FindByVirtualProductType value)`
  Sets the value of the findByProduct property.
  `void`
  `setFindByTherapeuticMoiety(FindByTherapeuticMoietyType value)`
  Sets the value of the findByTherapeuticMoiety property.
  `void`
  `setHasWadaClassification(HasWadaClassificationType value)`
  Sets the value of the hasWadaClassification property.
  `void`
  `setLang(String value)`
  Sets the value of the lang property.
  `void`
  `setSearchDate(Instant value)`
  Sets the value of the searchDate property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindVmpRequest

    public FindVmpRequest()

- ## Method Details

  - ### getFindByGenericPrescriptionGroup

    public FindByGenericPrescriptionGroupType getFindByGenericPrescriptionGroup()
    Returns all VMPs in the given Generic Prescription Group
    Returns:
      possible object is `FindByGenericPrescriptionGroupType`

  - ### setFindByGenericPrescriptionGroup

    public void setFindByGenericPrescriptionGroup(FindByGenericPrescriptionGroupType value)
    Sets the value of the findByGenericPrescriptionGroup property.
    Parameters:
      `value` - allowed object is `FindByGenericPrescriptionGroupType`
    See Also:
      - `getFindByGenericPrescriptionGroup()`

  - ### getFindByTherapeuticMoiety

    public FindByTherapeuticMoietyType getFindByTherapeuticMoiety()
    Returns all VMPs containing the given Therapeutic Moiety
    Returns:
      possible object is `FindByTherapeuticMoietyType`

  - ### setFindByTherapeuticMoiety

    public void setFindByTherapeuticMoiety(FindByTherapeuticMoietyType value)
    Sets the value of the findByTherapeuticMoiety property.
    Parameters:
      `value` - allowed object is `FindByTherapeuticMoietyType`
    See Also:
      - `getFindByTherapeuticMoiety()`

  - ### getFindByProduct

    public FindByVirtualProductType getFindByProduct()
    Returns all VMPs matching the given code or name.
    Returns:
      possible object is `FindByVirtualProductType`

  - ### setFindByProduct

    public void setFindByProduct(FindByVirtualProductType value)
    Sets the value of the findByProduct property.
    Parameters:
      `value` - allowed object is `FindByVirtualProductType`
    See Also:
      - `getFindByProduct()`

  - ### getFindByIngredients

    public List<FindByIngredientType> getFindByIngredients()
    Returns all VMPs containing the given ingredient. Gets the value of the findByIngredients property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the findByIngredients property.

    For example, to add a new item, do as follows:

         getFindByIngredients().add(newItem);

    Objects of the following type(s) are allowed in the list `FindByIngredientType`

    Returns:
      The value of the findByIngredients property.

  - ### getHasComponentWiths

    public List<HasVirtualComponentWithType> getHasComponentWiths()
    Must be combined with at least one FindBy element. Only those VMPs who have a component matching these attributes will be returned. Gets the value of the hasComponentWiths property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the hasComponentWiths property.

    For example, to add a new item, do as follows:

         getHasComponentWiths().add(newItem);

    Objects of the following type(s) are allowed in the list `HasVirtualComponentWithType`

    Returns:
      The value of the hasComponentWiths property.

  - ### getHasWadaClassification

    public HasWadaClassificationType getHasWadaClassification()
    Must be combined with at least one FindBy element. Only those VMPs categorized by the World Anti Doping Agency in the requested classification will be returned.
    Returns:
      possible object is `HasWadaClassificationType`

  - ### setHasWadaClassification

    public void setHasWadaClassification(HasWadaClassificationType value)
    Sets the value of the hasWadaClassification property.
    Parameters:
      `value` - allowed object is `HasWadaClassificationType`
    See Also:
      - `getHasWadaClassification()`

  - ### getLang

    public String getLang()
    Attempting to install the relevant ISO 2- and 3-letter codes as the enumerated possible values is probably never going to be a realistic possibility. See RFC 3066 at http://www.ietf.org/rfc/rfc3066.txt and the IANA registry at http://www.iana.org/assignments/lang-tag-apps.htm for further information. The union allows for the 'un-declaration' of xml:lang with the empty string.
    Returns:
      possible object is `String`

  - ### setLang

    public void setLang(String value)
    Sets the value of the lang property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getLang()`

  - ### getSearchDate

    public Instant getSearchDate()
    Gets the value of the searchDate property.
    Returns:
      possible object is `String`

  - ### setSearchDate

    public void setSearchDate(Instant value)
    Sets the value of the searchDate property.
    Parameters:
      `value` - allowed object is `String`